Skip to navigation

Delete cloud storage provider

View as Markdown
Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

serviceIdstringRequired

The ID of the service to access.

Valid values are the service name (“Box”) or the numerical serviceId (“4136”).

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Response

Successful response.
storageProviderslist of objectsOptional
An Array containing the storage providers associated with the user.

Errors

400
Bad Request Error